<?php

use App\Http\Controllers\Web\AuthController;
use Illuminate\Support\Facades\Route;

// Login
Route::prefix('auth')->group(function () {
    Route::get('login', [AuthController::class, 'redirect'])->name('login');
    Route::get('callback', [AuthController::class, 'callback'])->name('oauth.callback');
    Route::post('logout', [AuthController::class, 'logout'])->name('logout');
});

Route::view('/', 'welcome')->name('home');
